Subject: [Cellar] ffv1 missref status

From: Dave Rice <[email-masked]>
Date: Thu, 11 Mar 2021 15:32:04 -0500

Hi Michael, Spencer,
I see that FFV1 is in “RFC Ed Queue” status with with “MISSREF for 8 days” which IIUC means that the RFC editor is awaiting a missing normative reference. The post at https://www.rfc-editor.org/cluster_info.php?cid=C434 <https://www.rfc-editor.org/cluster_info.php?cid=C434> cites the missing reference as draft-ietf-cellar-matroska but the citation also links to the document that is noted as missing. Do we need to send the RFC Editor a copy of the latest matroska draft or is the current matroska document status blocking FFV1 in the queue?
Kind Regards,
Dave Rice

---

From: Michael Richardson <[email-masked]>
Date: Fri, 12 Mar 2021 16:15:15 -0500

Dave Rice <[email-masked]> wrote:
    > Hi Michael, Spencer, I see that FFV1 is in “RFC Ed Queue” status with
    > with “MISSREF for 8 days” which IIUC means that the RFC editor is
    > awaiting a missing normative reference.

Yeah.  I think we (chairs) screwed up here.

It seems that ffv1 has a normative reference to Matroska:

9.  Normative References

   [ISO.15444-1.2016]
              International Organization for Standardization,
              "Information technology -- JPEG 2000 image coding system:
              Core coding system", October 2016.

   [ISO.9899.2018]
              International Organization for Standardization,
              "Programming languages - C", ISO Standard 9899, 2018.

   [Matroska] IETF, "Matroska", 2019, <https://datatracker.ietf.org/doc/
              draft-ietf-cellar-matroska/>.

So we aren't allowed to normatively reference Internet Drafts.
It is referenced in section 4.3.3.4 only only.
I don't think it needs to be a normative reference.

Our choices are:
  1) leave things as they are, and finish Matroska faster.  FFV1 will
     wait for us in the Q.

  2) ask our AD to approve us changing this reference to informative.

My reading is that I don't think it needs to be normative.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: Dave Rice <[email-masked]>
Date: Fri, 12 Mar 2021 16:34:58 -0500

Hi Michael,

> On Mar 12, 2021, at 4:15 PM, Michael Richardson <[email-masked]> wrote:
> 
> 

I agree. Option 2 please. If there’s rough consensus on that, I can submit a patch, but let me know if you would advise a new version.
Dave

---

From: Jerome Martinez <[email-masked]>
Date: Fri, 12 Mar 2021 22:41:52 +0100

> My reading is that I don't think it needs to be normative.

It definitely does not need to be normative, Matroska is only one of the 
possibilities for embedding FFV1 in a container, any other container 
could embed it.
We should have caught that during draft reviews, apologizes about having 
missed that Matroska is in the list of normative references and not in 
the informative one.

Jérôme

---

From: Reto Kromer <[email-masked]>
Date: Sat, 13 Mar 2021 07:05:06 +0100

Jerome Martinez wrote:

>It definitely does not need to be normative, Matroska is only
>one of the possibilities for embedding FFV1 in a container, any
>other container could embed it.

Indeed! I did use intensively myself AVI during a few years of
the 2000s first half.

The Matroska reference does not need to be normative at all.

Best regards, Reto

---

From: Michael Richardson <[email-masked]>
Date: Sat, 13 Mar 2021 16:03:37 -0500

> I agree. Option 2 please. If there’s rough consensus on that, I can
    > submit a patch, but let me know if you would advise a new version.

Assuming that we go with this, we would be asking the RFC-editor to make an edit.
The XML has left our building :-)

---

From: Steve Lhomme <[email-masked]>
Date: Sun, 14 Mar 2021 08:49:30 +0100

> I agree. Option 2 please. If there’s rough consensus on that, I can submit a patch, but let me know if you would advise a new version.

I agree with that as well.

---

From: "Peter B." <[email-masked]>
Date: Mon, 15 Mar 2021 12:30:53 +0100

> The Matroska reference does not need to be normative at all.

I completely second Jérôme and Reto.

Kind regards,
Peter

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Mon, 15 Mar 2021 10:23:43 -0500

Hi, Micheal,

> The XML has left our building :-)

Right.

My understanding from this thread is (1) as you said, the chairs screwed up
(expresses personal shame here), and (2) it makes perfect sense to me that
the container spec isn't normative for FFV1 (and if it was actually
normative, we should probably have talked about changing that reality).

So, am I telling Murray, or are you? :-)

Best,

Spencer

p.s. leaving it normative to "encourage" work on finishing Matroska
probably isn't necessary, given the number of emails I've got in my inbox
over the weekend!

---

From: Dave Rice <[email-masked]>
Date: Mon, 15 Mar 2021 12:34:56 -0400

Hi Michael, Spencer,

> On Mar 15, 2021, at 11:23 AM, Spencer Dawkins at IETF <[email-masked]> wrote:
> 
> Hi, Micheal, 
> 
> On Sat, Mar 13, 2021 at 3:03 PM Michael Richardson <[email-masked] <mailto:[email-masked]>> wrote:
> 
> Dave Rice <[email-masked] <mailto:[email-masked]>> wrote:
> My understanding from this thread is (1) as you said, the chairs screwed up (expresses personal shame here), and (2) it makes perfect sense to me that the container spec isn't normative for FFV1 (and if it was actually normative, we should probably have talked about changing that reality). 
> 

In regards to this conversation, I’d glad to see there’s consensus for Matroska to be an informative rather than normative reference. 

Based on the attention on this, Jerome and I took a look at the current normative references and have a two other comments.

- While the text alludes to RFC6716, the mention uses it as an example for security considerations and it not necessary to read to understand ffv1. RFC6716 would better be considered as informative.

- In the case of ISO.15444-1.2016, this document is the basis for some aspects of FFV1; however, as the FFV1 document fully describes those aspects, it is not necessary to read ISO.15444-1.2016 to understand FFV1. I’d suggest this be better positioned as informative.

I’m well-aware this is a late point to draw attention to this, but wanted to bring these to your consideration nonetheless. Our recommendation would be to move the 3 references (Matroska, RFC6716 and ISO.15444-1.2016) from normative to informative.

Kind Regards,
Dave Rice

> Best,
> 
> Spencer
> 
> p.s. leaving it normative to "encourage" work on finishing Matroska probably isn't necessary, given the number of emails I've got in my inbox over the weekend!
> _______________________________________________
> Cellar mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/cellar

---

From: Reto Kromer <[email-masked]>
Date: Mon, 15 Mar 2021 18:31:28 +0100

Dave Rice wrote:

>Our recommendation would be to move the 3 references (Matroska,
>RFC6716 and ISO.15444-1.2016) from normative to informative.

I second this. Best regards, Reto

---

From: Michael Richardson <[email-masked]>
Date: Mon, 15 Mar 2021 21:26:39 -0400

> So, am I telling Murray, or are you? :-)

I'll email him tomorrow.

I was just waiting a bit to make sure that all time zones got to comment
during a business day.

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Tue, 16 Mar 2021 20:27:48 -0500

Hi, Michael,

> I was just waiting a bit to make sure that all time zones got to comment

Thank you for this, and I agree with the multiple fixes to the
informative/normative reference split we've been discussing.

Best,

Spencer

---

From: Jerome Martinez <[email-masked]>
Date: Tue, 23 Mar 2021 21:30:35 +0100

On 15/03/2021 17:34, Dave Rice wrote:
> In regards to this conversation, I’d glad to see there’s consensus for 
> Matroska to be an informative rather than normative reference.
>
> Based on the attention on this, Jerome and I took a look at the 
> current normative references and have a two other comments.
>
> - While the text alludes to RFC6716, the mention uses it as an example 
> for security considerations and it not necessary to read to understand 
> ffv1. RFC6716 would better be considered as informative.
>
> - In the case of ISO.15444-1.2016, this document is the basis for some 
> aspects of FFV1; however, as the FFV1 document fully describes those 
> aspects, it is not necessary to read ISO.15444-1.2016 to understand 
> FFV1. I’d suggest this be better positioned as informative.
>
> I’m well-aware this is a late point to draw attention to this, but 
> wanted to bring these to your consideration nonetheless. Our 
> recommendation would be to move the 3 references (Matroska, RFC6716 
> and ISO.15444-1.2016) from normative to informative.

Just for confirming: I think it should be informal.

Jérôme